Subject: commit --amend --author error

From: Gunnar Wagner <[email-masked]>
Date: Tue, 13 Jan 2015 16:15:36 +0800

I got APGL licensed code from someone else and want to post it on my 
github (without taking credit for the work)

tried   git commit --amend --author="Author name, www.website.com" but 
got an error message which said something like "original author not found"
Can it be that the --amen --author only work if the author is on github 
himself?